Page MenuHomePhabricator

Tech Talks Proposal 2019: The long and winding road to making Parsoid the default MediaWiki parser
Closed, ResolvedPublic

Description

This will be a talk in 3 (unequal) parts: (a) Parsoid history (b) Porting Parsoid to PHP: the whys and wherefores (c) From here to Parsoid as the default

Parsoid started in 2012 as a project to support Visual Editing and since then has gone on to support a number of products (Flow, Content Translation, Kiwix, Android app). Given that (a) Parsoid's annotated HTML output enables clients to infer things about wikitext without having to parse wikitext, (b) the PHP parser cannot support Visual Editor and other products, and (c) we cannot continue to have two parsers, it is inevitable that Parsoid will be the default parser for MediaWiki. This has been known since at least 2015 but while we are nearer that goalpost, we are still not quite there yet. In this talk, we'll talk about what else needs to be completed, and what the porting of Parsoid to PHP means for this goal.

  • Talk length: ~45 mins

Event Timeline

ssastry created this task.Jan 17 2019, 11:29 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 17 2019, 11:29 PM
ssastry updated the task description. (Show Details)Jan 17 2019, 11:34 PM
srodlund triaged this task as Normal priority.Jan 22 2019, 7:02 PM
srodlund updated the task description. (Show Details)

@ssastry Thanks! Once you have a descriptive paragraph for this, I'll work with you to set a date.

Thinking February 2019, if that works for you!

ssastry renamed this task from Tech Talks Proposal 2019: [WIP]: The long and winding road to making Parsoid the default MediaWiki parser to Tech Talks Proposal 2019: The long and winding road to making Parsoid the default MediaWiki parser.Jan 22 2019, 7:24 PM
ssastry updated the task description. (Show Details)

@ssastry Thanks! Once you have a descriptive paragraph for this, I'll work with you to set a date.
Thinking February 2019, if that works for you!

February post 15th works for me.

Sent announcement to internal lists: Product-All, Tech-All, Foundation optional.

Will send out to external lists shortly.

ssastry closed this task as Resolved.Mar 11 2019, 5:11 PM